(define (domain civilisation)
(:requirements :equality :typing :numeric-fluents :negative-preconditions :conditional-effects)
(:types
 integer - object
 TPlayerID - ID
 ID - object
 TMaterial - object
 TNodeID3 - ID
 TEdgeID3 - ID
 TNodeID0 - ID
 TEdgeID0 - ID
 TNodeID1 - ID
 TEdgeID1 - ID
 TNodeID2 - ID
 TEdgeID2 - ID
 TEntityID0 - ID
 TEntityID1 - ID
 TEntityID2 - ID
 TEntityID3 - ID
 TLength - object
 TBlockType - object
 TNodeType - object
 TEdgeType - object
 TNodeStatus - object
 TBoolean - object
 TEducationLevel - object
 TEntity_npc_carrierID - TEntityID3
 TEntity_mainbuildingID - TEntityID3
 TEntity_building_woodchopperID - TEntityID3
 TEntity_main_l2ID - TEntityID2
 TEntity_streetAll_l2ID - TEntityID2
 TEntity_mining_l2ID - TEntityID2
 TEntity_city_l1ID - TEntityID1
 TEntity_streetAll_l1ID - TEntityID1
 TEntity_npc_builderID - TEntityID3
 TEntity_npc_carrier_l2ID - TEntityID2
 TEntity_npc_builder_l2ID - TEntityID2
 TEntity_npc_carrier_l1ID - TEntityID1
 TEntity_npc_builder_l1ID - TEntityID1
)
(:constants
 wood - TMaterial
 stone - TMaterial
 nt_building - TNodeType
 nonode3 - TNodeID3
 noedge3 - TEdgeID3
 nonode0 - TNodeID0
 noedge0 - TEdgeID0
 nonode1 - TNodeID1
 noedge1 - TEdgeID1
 nonode2 - TNodeID2
 noedge2 - TEdgeID2
 noplayer - TPlayerID
 noentity0 - TEntityID0
 noentity1 - TEntityID1
 noentity2 - TEntityID2
 noentity3 - TEntityID3
 meter2 - TLength
 meter12 - TLength
 nt_grass - TNodeType
 nt_sideway - TNodeType
 nt_street - TNodeType
 normaledge - TEdgeType
 nocars - TEdgeType
 starway - TEdgeType
 door - TEdgeType
 window - TEdgeType
 bed - TEdgeType
 true - TBoolean
 false - TBoolean
 planks - TMaterial
 nt_street_crossover - TNodeType
 nt_stone - TNodeType
 blocked - TBlockType
 notblocked - TBlockType
 noeducation - TEducationLevel
 constructionworking - TEducationLevel
 mineworking - TEducationLevel
 woodchupper - TEducationLevel
    num0 - integer
    num1 - integer
    num2 - integer
    num3 - integer
    num4 - integer
    num5 - integer
)
(:predicates
(unused_node ?indexvar - TNodeID3)
(node_parent ?indexvar - TNodeID3 ?value - TNodeID2)
(node_nodetype ?indexvar - TNodeID3 ?value - TNodeType)
(node_blockedbynpc ?indexvar - TNodeID3 ?value - TEntityID3)
(node_usedbybuilding ?indexvar - TNodeID3 ?value - TEntityID3)
(node_enabled ?indexvar - TNodeID3 ?value - TBoolean)
(node_edgedir_x_up ?indexvar - TNodeID3 ?value - TEdgeID3)
(node_edgedir_x_down ?indexvar - TNodeID3 ?value - TEdgeID3)
(node_edgedir_z_up ?indexvar - TNodeID3 ?value - TEdgeID3)
(node_edgedir_z_down ?indexvar - TNodeID3 ?value - TEdgeID3)
(unused_edgenode ?indexvar - TEdgeID3)
(edgenode_startnode ?indexvar - TEdgeID3 ?value - TNodeID3)
(edgenode_endnode ?indexvar - TEdgeID3 ?value - TNodeID3)
(edgenode_edgetype ?indexvar - TEdgeID3 ?value - TEdgeType)
(edgenode_edgelength ?indexvar - TEdgeID3 ?value - TLength)
(edgenode_enabled ?indexvar - TEdgeID3 ?value - TBoolean)
(unused_metanode0 ?indexvar - TNodeID0)
(metanode0_player ?indexvar - TNodeID0 ?value - TPlayerID)
(metanode0_usedbybuilding ?indexvar - TNodeID0 ?value - TEntityID0)
(metanode0_nodetype ?indexvar - TNodeID0 ?value - TNodeType)
(metanode0_enabled ?indexvar - TNodeID0 ?value - TBoolean)
(metanode0_edgedir_x_up ?indexvar - TNodeID0 ?value - TEdgeID0)
(metanode0_edgedir_x_down ?indexvar - TNodeID0 ?value - TEdgeID0)
(metanode0_edgedir_z_up ?indexvar - TNodeID0 ?value - TEdgeID0)
(metanode0_edgedir_z_down ?indexvar - TNodeID0 ?value - TEdgeID0)
(unused_metaedgenode0 ?indexvar - TEdgeID0)
(metaedgenode0_startnode ?indexvar - TEdgeID0 ?value - TNodeID0)
(metaedgenode0_endnode ?indexvar - TEdgeID0 ?value - TNodeID0)
(metaedgenode0_edgelength ?indexvar - TEdgeID0 ?value - TLength)
(metaedgenode0_hasstreet ?indexvar - TEdgeID0 ?value - TBoolean)
(metaedgenode0_sublockednode ?indexvar - TEdgeID0 ?value - TEdgeID0)
(metaedgenode0_enabled ?indexvar - TEdgeID0 ?value - TBoolean)
(unused_metanode1 ?indexvar - TNodeID1)
(metanode1_parent ?indexvar - TNodeID1 ?value - TNodeID0)
(metanode1_player ?indexvar - TNodeID1 ?value - TPlayerID)
(metanode1_usedbybuilding ?indexvar - TNodeID1 ?value - TEntityID1)
(metanode1_nodetype ?indexvar - TNodeID1 ?value - TNodeType)
(metanode1_enabled ?indexvar - TNodeID1 ?value - TBoolean)
(metanode1_edgedir_x_up ?indexvar - TNodeID1 ?value - TEdgeID1)
(metanode1_edgedir_x_down ?indexvar - TNodeID1 ?value - TEdgeID1)
(metanode1_edgedir_z_up ?indexvar - TNodeID1 ?value - TEdgeID1)
(metanode1_edgedir_z_down ?indexvar - TNodeID1 ?value - TEdgeID1)
(unused_metaedgenode1 ?indexvar - TEdgeID1)
(metaedgenode1_startnode ?indexvar - TEdgeID1 ?value - TNodeID1)
(metaedgenode1_endnode ?indexvar - TEdgeID1 ?value - TNodeID1)
(metaedgenode1_edgelength ?indexvar - TEdgeID1 ?value - TLength)
(metaedgenode1_hasstreet ?indexvar - TEdgeID1 ?value - TBoolean)
(metaedgenode1_sublockednode ?indexvar - TEdgeID1 ?value - TEdgeID1)
(metaedgenode1_enabled ?indexvar - TEdgeID1 ?value - TBoolean)
(unused_metanode2 ?indexvar - TNodeID2)
(metanode2_parent ?indexvar - TNodeID2 ?value - TNodeID1)
(metanode2_player ?indexvar - TNodeID2 ?value - TPlayerID)
(metanode2_usedbybuilding ?indexvar - TNodeID2 ?value - TEntityID2)
(metanode2_nodetype ?indexvar - TNodeID2 ?value - TNodeType)
(metanode2_enabled ?indexvar - TNodeID2 ?value - TBoolean)
(metanode2_edgedir_x_up ?indexvar - TNodeID2 ?value - TEdgeID2)
(metanode2_edgedir_x_down ?indexvar - TNodeID2 ?value - TEdgeID2)
(metanode2_edgedir_z_up ?indexvar - TNodeID2 ?value - TEdgeID2)
(metanode2_edgedir_z_down ?indexvar - TNodeID2 ?value - TEdgeID2)
(unused_metaedgenode2 ?indexvar - TEdgeID2)
(metaedgenode2_startnode ?indexvar - TEdgeID2 ?value - TNodeID2)
(metaedgenode2_endnode ?indexvar - TEdgeID2 ?value - TNodeID2)
(metaedgenode2_edgelength ?indexvar - TEdgeID2 ?value - TLength)
(metaedgenode2_hasstreet ?indexvar - TEdgeID2 ?value - TBoolean)
(metaedgenode2_sublockednode ?indexvar - TEdgeID2 ?value - TEdgeID2)
(metaedgenode2_enabled ?indexvar - TEdgeID2 ?value - TBoolean)
(unused_entity ?indexvar - TEntityID3)
(entity_player ?indexvar - TEntityID3 ?value - TPlayerID)
(entity_npcowner ?indexvar - TEntityID3 ?value - TEntityID2)
(entity_position ?indexvar - TEntityID3 ?value - TNodeID3)
(entity_blocked ?indexvar - TEntityID3 ?value - TBlockType)
(entity_education ?indexvar - TEntityID3 ?value - TEducationLevel)
(unused_metaentity0 ?indexvar - TEntityID0)
(metaentity0_player ?indexvar - TEntityID0 ?value - TPlayerID)
(metaentity0_position ?indexvar - TEntityID0 ?value - TNodeID0)
(metaentity0_blocked ?indexvar - TEntityID0 ?value - TBlockType)
(metaentity0_education ?indexvar - TEntityID0 ?value - TEducationLevel)
(unused_metaentity1 ?indexvar - TEntityID1)
(metaentity1_player ?indexvar - TEntityID1 ?value - TPlayerID)
(metaentity1_npcowner ?indexvar - TEntityID1 ?value - TEntityID0)
(metaentity1_position ?indexvar - TEntityID1 ?value - TNodeID1)
(metaentity1_blocked ?indexvar - TEntityID1 ?value - TBlockType)
(metaentity1_education ?indexvar - TEntityID1 ?value - TEducationLevel)
(unused_metaentity2 ?indexvar - TEntityID2)
(metaentity2_player ?indexvar - TEntityID2 ?value - TPlayerID)
(metaentity2_npcowner ?indexvar - TEntityID2 ?value - TEntityID1)
(metaentity2_position ?indexvar - TEntityID2 ?value - TNodeID2)
(metaentity2_blocked ?indexvar - TEntityID2 ?value - TBlockType)
(metaentity2_education ?indexvar - TEntityID2 ?value - TEducationLevel)
(num_greater ?arg1 - integer ?arg2 - integer)
(num_add ?arg1 - integer ?arg2 - integer ?arg3 - integer)
(num_sub ?arg1 - integer ?arg2 - integer ?arg3 - integer)
(isequal ?arg1 - object ?arg2 - object)
(head_unallocated ?arg1 - object)
(head_next ?arg1 - object ?arg2 - object)
(win ?arg1 - TPlayerID)
)
(:functions
(metanode0_health ?indexvar - TNodeID0)
(metanode0_happiness ?indexvar - TNodeID0)
(metanode0_produktionauslastung ?indexvar - TNodeID0)
(metanode0_livingbuildings ?indexvar - TNodeID0)
(metanode0_commercialbuildings ?indexvar - TNodeID0)
(metanode0_industrialbuildings ?indexvar - TNodeID0)
(metanode0_effectivitat ?indexvar - TNodeID0)
(metanode1_health ?indexvar - TNodeID1)
(metanode1_happiness ?indexvar - TNodeID1)
(metanode1_produktionauslastung ?indexvar - TNodeID1)
(metanode1_livingbuildings ?indexvar - TNodeID1)
(metanode1_commercialbuildings ?indexvar - TNodeID1)
(metanode1_industrialbuildings ?indexvar - TNodeID1)
(metanode1_effectivitat ?indexvar - TNodeID1)
(metanode2_health ?indexvar - TNodeID2)
(metanode2_happiness ?indexvar - TNodeID2)
(metanode2_produktionauslastung ?indexvar - TNodeID2)
(metanode2_livingbuildings ?indexvar - TNodeID2)
(metanode2_commercialbuildings ?indexvar - TNodeID2)
(metanode2_industrialbuildings ?indexvar - TNodeID2)
(metanode2_effectivitat ?indexvar - TNodeID2)
(entity_health ?indexvar - TEntityID3)
(entity_happiness ?indexvar - TEntityID3)
(entity_fatique ?indexvar - TEntityID3)
(entity_workingcitizens ?indexvar - TEntityID3)
(metaentity0_health ?indexvar - TEntityID0)
(metaentity0_happiness ?indexvar - TEntityID0)
(metaentity0_fatique ?indexvar - TEntityID0)
(metaentity0_innode ?indexvar - TEntityID0)
(metaentity0_workingcitizens ?indexvar - TEntityID0)
(metaentity1_health ?indexvar - TEntityID1)
(metaentity1_happiness ?indexvar - TEntityID1)
(metaentity1_fatique ?indexvar - TEntityID1)
(metaentity1_innode ?indexvar - TEntityID1)
(metaentity1_workingcitizens ?indexvar - TEntityID1)
(metaentity2_health ?indexvar - TEntityID2)
(metaentity2_happiness ?indexvar - TEntityID2)
(metaentity2_fatique ?indexvar - TEntityID2)
(metaentity2_innode ?indexvar - TEntityID2)
(metaentity2_workingcitizens ?indexvar - TEntityID2)
(inventory0 ?arg1 - TEntityID0 ?arg2 - TMaterial)
(inventory1 ?arg1 - TEntityID1 ?arg2 - TMaterial)
(inventory2 ?arg1 - TEntityID2 ?arg2 - TMaterial)
(inventory3 ?arg1 - TEntityID3 ?arg2 - TMaterial)
)
(:durative-action TEntity_npc_carrierID_create
:duration (= ?duration 1.000000)
:parameters (?player - TPlayerID ?newobject - TEntity_npc_carrierID ?entity0_id_next - TEntity_npc_carrierID ?operator - TEntity_mainbuildingID ?noden0_n0id - TNodeID3 ?ownerentity - TEntityID2 )
:precondition (and
   (unused_entity ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?entity0_id_next)
   (not (unused_entity ?operator))
   (entity_blocked ?operator notblocked)
   (not (unused_node ?noden0_n0id))
   (entity_position ?operator ?noden0_n0id)
   (> (inventory3 ?operator wood) 0.80000)
   (entity_player ?operator ?player)
   (not (unused_metaentity2 ?ownerentity))
)
:effect (and
   (not (unused_entity ?newobject))
   (entity_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?entity0_id_next))
   (head_unallocated ?entity0_id_next)
   (entity_blocked ?newobject blocked)
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (entity_position ?newobject ?noden0_n0id)
   (entity_npcowner ?newobject ?ownerentity)
   (entity_player ?newobject ?player)
(= (entity_health ?newobject) 1.00000)
(= (entity_happiness ?newobject) 1.00000)
(= (entity_fatique ?newobject) 0.00000)
(= (entity_workingcitizens ?newobject) 2.00000)
(increase (inventory3 ?operator wood) -1)
(= (inventory3 ?newobject wood) 0.00000)
(= (inventory3 ?newobject stone) 0.00000)
   (at end (not (entity_blocked ?newobject blocked)))
   (at end (entity_blocked ?newobject notblocked))
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
)
)
(:action TEntity_npc_carrierID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
(:durative-action TEntity_npc_carrierID_move
:duration (= ?duration 1.000000)
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?targetnode - TNodeID3 ?edgenode3_id - TEdgeID3 ?oldvalue0 - TEntityID3 )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (not (unused_node ?entity0_position))
   (not (unused_node ?targetnode))
   (node_blockedbynpc ?targetnode noentity3)
   (not (unused_edgenode ?edgenode3_id))
   (edgenode_startnode ?edgenode3_id ?entity0_position)
   (edgenode_endnode ?edgenode3_id ?targetnode)
   (edgenode_enabled ?edgenode3_id true)
   (node_enabled ?targetnode true)
   (node_blockedbynpc ?entity0_position ?oldvalue0)
   (entity_blocked ?operator notblocked)
   (entity_player ?operator ?player)
)
:effect (and
   (not (node_blockedbynpc ?entity0_position ?oldvalue0))
   (node_blockedbynpc ?entity0_position noentity3)
   (not (node_blockedbynpc ?targetnode noentity3))
   (node_blockedbynpc ?targetnode ?operator)
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (entity_position ?operator ?entity0_position))
   (entity_position ?operator ?targetnode)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_mainbuildingID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_entity ?goal))
   (entity_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 1)
(increase (inventory3 ?goal ?materialtype) -1)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_mainbuildingID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_entity ?goal))
   (entity_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -1)
(increase (inventory3 ?goal ?materialtype) 1)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_building_woodchopperID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_entity ?goal))
   (entity_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 1)
(increase (inventory3 ?goal ?materialtype) -1)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_building_woodchopperID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_entity ?goal))
   (entity_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -1)
(increase (inventory3 ?goal ?materialtype) 1)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_main_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity2 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 4)
(increase (inventory3 ?goal ?materialtype) -4)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_main_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity2 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -4)
(increase (inventory3 ?goal ?materialtype) 4)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_streetAll_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity2 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 4)
(increase (inventory3 ?goal ?materialtype) -4)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_streetAll_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity2 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -4)
(increase (inventory3 ?goal ?materialtype) 4)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_mining_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity2 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 4)
(increase (inventory3 ?goal ?materialtype) -4)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_mining_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity2 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -4)
(increase (inventory3 ?goal ?materialtype) 4)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_city_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity1 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 16)
(increase (inventory3 ?goal ?materialtype) -16)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_city_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity1 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -16)
(increase (inventory3 ?goal ?materialtype) 16)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_streetAll_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity1 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 16)
(increase (inventory3 ?goal ?materialtype) -16)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:action TEntity_npc_carrierID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrierID ?entity0_position - TNodeID3 ?goal - TEntity_streetAll_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity1 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -16)
(increase (inventory3 ?goal ?materialtype) 16)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:durative-action TEntity_npc_builderID_create
:duration (= ?duration 1.000000)
:parameters (?player - TPlayerID ?newobject - TEntity_npc_builderID ?entity0_id_next - TEntity_npc_builderID ?operator - TEntity_mainbuildingID ?noden0_n0id - TNodeID3 ?ownerentity - TEntityID2 )
:precondition (and
   (unused_entity ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?entity0_id_next)
   (not (unused_entity ?operator))
   (entity_blocked ?operator notblocked)
   (not (unused_node ?noden0_n0id))
   (entity_position ?operator ?noden0_n0id)
   (> (inventory3 ?operator wood) 0.80000)
   (entity_player ?operator ?player)
   (not (unused_metaentity2 ?ownerentity))
)
:effect (and
   (not (unused_entity ?newobject))
   (entity_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?entity0_id_next))
   (head_unallocated ?entity0_id_next)
   (entity_blocked ?newobject blocked)
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (entity_position ?newobject ?noden0_n0id)
   (entity_npcowner ?newobject ?ownerentity)
   (entity_player ?newobject ?player)
(= (entity_health ?newobject) 1.00000)
(= (entity_happiness ?newobject) 1.00000)
(= (entity_fatique ?newobject) 0.00000)
(= (entity_workingcitizens ?newobject) 2.00000)
(increase (inventory3 ?operator wood) -1)
(= (inventory3 ?newobject wood) 0.00000)
(= (inventory3 ?newobject stone) 0.00000)
   (at end (not (entity_blocked ?newobject blocked)))
   (at end (entity_blocked ?newobject notblocked))
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
)
)
(:action TEntity_npc_builderID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
(:durative-action TEntity_npc_builderID_move
:duration (= ?duration 1.000000)
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?targetnode - TNodeID3 ?edgenode3_id - TEdgeID3 ?oldvalue0 - TEntityID3 )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (not (unused_node ?entity0_position))
   (not (unused_node ?targetnode))
   (node_blockedbynpc ?targetnode noentity3)
   (not (unused_edgenode ?edgenode3_id))
   (edgenode_startnode ?edgenode3_id ?entity0_position)
   (edgenode_endnode ?edgenode3_id ?targetnode)
   (edgenode_enabled ?edgenode3_id true)
   (node_enabled ?targetnode true)
   (node_blockedbynpc ?entity0_position ?oldvalue0)
   (entity_blocked ?operator notblocked)
   (entity_player ?operator ?player)
)
:effect (and
   (not (node_blockedbynpc ?entity0_position ?oldvalue0))
   (node_blockedbynpc ?entity0_position noentity3)
   (not (node_blockedbynpc ?targetnode noentity3))
   (node_blockedbynpc ?targetnode ?operator)
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (entity_position ?operator ?entity0_position))
   (entity_position ?operator ?targetnode)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
)
)
(:action TEntity_npc_builderID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_mainbuildingID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_entity ?goal))
   (entity_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 1)
(increase (inventory3 ?goal ?materialtype) -1)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_mainbuildingID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_entity ?goal))
   (entity_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -1)
(increase (inventory3 ?goal ?materialtype) 1)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_building_woodchopperID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_entity ?goal))
   (entity_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 1)
(increase (inventory3 ?goal ?materialtype) -1)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_building_woodchopperID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_entity ?goal))
   (entity_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -1)
(increase (inventory3 ?goal ?materialtype) 1)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_main_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity2 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 4)
(increase (inventory3 ?goal ?materialtype) -4)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_main_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity2 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -4)
(increase (inventory3 ?goal ?materialtype) 4)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_streetAll_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity2 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 4)
(increase (inventory3 ?goal ?materialtype) -4)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_streetAll_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity2 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -4)
(increase (inventory3 ?goal ?materialtype) 4)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_mining_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity2 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 4)
(increase (inventory3 ?goal ?materialtype) -4)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_mining_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity2 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -4)
(increase (inventory3 ?goal ?materialtype) 4)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_city_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity1 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 16)
(increase (inventory3 ?goal ?materialtype) -16)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_city_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity1 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -16)
(increase (inventory3 ?goal ?materialtype) 16)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_streetAll_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity1 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory3 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) 16)
(increase (inventory3 ?goal ?materialtype) -16)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:action TEntity_npc_builderID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builderID ?entity0_position - TNodeID3 ?goal - TEntity_streetAll_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_entity ?operator))
   (entity_position ?operator ?entity0_position)
   (entity_player ?operator ?player)
   (not (unused_node ?entity0_position))
   (node_usedbybuilding ?entity0_position ?goal)
   (not (unused_metaentity1 ?goal))
   (entity_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory3 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory3 ?operator ?materialtype) -16)
(increase (inventory3 ?goal ?materialtype) 16)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:durative-action TEntity_mainbuildingID_create
:duration (= ?duration 1.000000)
:parameters (?player - TPlayerID ?noden0_n0id - TNodeID3 ?newobject - TEntity_mainbuildingID ?entity1_id_next - TEntity_mainbuildingID ?operator - TEntity_npc_builderID ?edgenode3_id - TEdgeID3 ?node1_n0 - TNodeID3 ?edgenode5_id - TEdgeID3 ?node2_n0 - TNodeID3 ?ownerentity - TEntityID2 ?oldvalue0 - TNodeType ?oldvalue1 - TNodeType ?edgenode7_id - TEdgeID3 ?noden0_1 - TNodeID3 ?oldvalue2 - TNodeType ?edgenode9_id - TEdgeID3 ?node1_1 - TNodeID3 ?oldvalue3 - TNodeType ?oldvalue4 - TBlockType )
:precondition (and
   (not (unused_node ?noden0_n0id))
   (unused_entity ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?entity1_id_next)
   (not (unused_entity ?operator))
   (> (inventory3 ?operator wood) 1.80000)
   (not (unused_edgenode ?edgenode3_id))
   (not (unused_node ?node1_n0))
   (edgenode_startnode ?edgenode3_id ?noden0_n0id)
   (edgenode_endnode ?edgenode3_id ?node1_n0)
   (node_edgedir_x_up ?noden0_n0id ?edgenode3_id)
   (not (unused_edgenode ?edgenode5_id))
   (not (unused_node ?node2_n0))
   (edgenode_startnode ?edgenode5_id ?node1_n0)
   (edgenode_endnode ?edgenode5_id ?node2_n0)
   (node_edgedir_x_up ?node1_n0 ?edgenode5_id)
   (entity_player ?operator ?player)
   (entity_position ?operator ?node2_n0)
   (not (unused_metaentity2 ?ownerentity))
   (node_blockedbynpc ?noden0_n0id noentity3)
   (node_usedbybuilding ?noden0_n0id noentity3)
   (node_nodetype ?noden0_n0id ?oldvalue0)
   (node_enabled ?noden0_n0id true)
   (node_blockedbynpc ?node1_n0 noentity3)
   (node_usedbybuilding ?node1_n0 noentity3)
   (node_nodetype ?node1_n0 ?oldvalue1)
   (node_enabled ?node1_n0 true)
   (not (unused_edgenode ?edgenode7_id))
   (not (unused_node ?noden0_1))
   (edgenode_startnode ?edgenode7_id ?noden0_n0id)
   (edgenode_endnode ?edgenode7_id ?noden0_1)
   (node_edgedir_z_up ?noden0_n0id ?edgenode7_id)
   (node_blockedbynpc ?noden0_1 noentity3)
   (node_usedbybuilding ?noden0_1 noentity3)
   (node_nodetype ?noden0_1 ?oldvalue2)
   (node_enabled ?noden0_1 true)
   (not (unused_edgenode ?edgenode9_id))
   (not (unused_node ?node1_1))
   (edgenode_startnode ?edgenode9_id ?node1_n0)
   (edgenode_endnode ?edgenode9_id ?node1_1)
   (node_edgedir_z_up ?node1_n0 ?edgenode9_id)
   (node_blockedbynpc ?node1_1 noentity3)
   (node_usedbybuilding ?node1_1 noentity3)
   (node_nodetype ?node1_1 ?oldvalue3)
   (node_enabled ?node1_1 true)
   (entity_blocked ?operator ?oldvalue4)
   (entity_blocked ?operator notblocked)
)
:effect (and
   (not (unused_entity ?newobject))
   (entity_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?entity1_id_next))
   (head_unallocated ?entity1_id_next)
   (entity_npcowner ?newobject ?ownerentity)
   (not (node_usedbybuilding ?noden0_n0id noentity3))
   (node_usedbybuilding ?noden0_n0id ?newobject)
   (not (node_nodetype ?noden0_n0id ?oldvalue0))
   (node_nodetype ?noden0_n0id nt_building)
   (not (node_usedbybuilding ?node1_n0 noentity3))
   (node_usedbybuilding ?node1_n0 ?newobject)
   (not (node_nodetype ?node1_n0 ?oldvalue1))
   (node_nodetype ?node1_n0 nt_building)
   (not (node_usedbybuilding ?noden0_1 noentity3))
   (node_usedbybuilding ?noden0_1 ?newobject)
   (not (node_nodetype ?noden0_1 ?oldvalue2))
   (node_nodetype ?noden0_1 nt_building)
   (not (node_usedbybuilding ?node1_1 noentity3))
   (node_usedbybuilding ?node1_1 ?newobject)
   (not (node_nodetype ?node1_1 ?oldvalue3))
   (node_nodetype ?node1_1 nt_building)
   (entity_position ?newobject ?noden0_n0id)
   (not (entity_blocked ?operator ?oldvalue4))
   (entity_blocked ?operator blocked)
   (entity_blocked ?newobject blocked)
   (entity_player ?newobject ?player)
(= (entity_health ?newobject) 1.00000)
(= (entity_happiness ?newobject) 1.00000)
(= (entity_fatique ?newobject) 0.00000)
(= (entity_workingcitizens ?newobject) 2.00000)
(increase (inventory3 ?operator wood) -2)
(= (inventory3 ?newobject wood) 3)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (entity_blocked ?newobject blocked)))
   (at end (entity_blocked ?newobject notblocked))
)
)
(:action TEntity_mainbuildingID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
(:durative-action TEntity_building_woodchopperID_create
:duration (= ?duration 1.000000)
:parameters (?player - TPlayerID ?noden0_n0id - TNodeID3 ?newobject - TEntity_building_woodchopperID ?entity1_id_next - TEntity_building_woodchopperID ?operator - TEntity_npc_builderID ?edgenode3_id - TEdgeID3 ?node1_n0 - TNodeID3 ?ownerentity - TEntityID2 ?oldvalue0 - TNodeType ?oldvalue1 - TBlockType )
:precondition (and
   (not (unused_node ?noden0_n0id))
   (unused_entity ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?entity1_id_next)
   (not (unused_entity ?operator))
   (> (inventory3 ?operator wood) 0.80000)
   (not (unused_edgenode ?edgenode3_id))
   (not (unused_node ?node1_n0))
   (edgenode_startnode ?edgenode3_id ?noden0_n0id)
   (edgenode_endnode ?edgenode3_id ?node1_n0)
   (node_edgedir_x_up ?noden0_n0id ?edgenode3_id)
   (entity_player ?operator ?player)
   (entity_position ?operator ?node1_n0)
   (not (unused_metaentity2 ?ownerentity))
   (node_blockedbynpc ?noden0_n0id noentity3)
   (node_usedbybuilding ?noden0_n0id noentity3)
   (node_nodetype ?noden0_n0id ?oldvalue0)
   (node_enabled ?noden0_n0id true)
   (entity_blocked ?operator ?oldvalue1)
   (entity_blocked ?operator notblocked)
)
:effect (and
   (not (unused_entity ?newobject))
   (entity_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?entity1_id_next))
   (head_unallocated ?entity1_id_next)
   (entity_npcowner ?newobject ?ownerentity)
   (not (node_usedbybuilding ?noden0_n0id noentity3))
   (node_usedbybuilding ?noden0_n0id ?newobject)
   (not (node_nodetype ?noden0_n0id ?oldvalue0))
   (node_nodetype ?noden0_n0id nt_building)
   (entity_position ?newobject ?noden0_n0id)
   (not (entity_blocked ?operator ?oldvalue1))
   (entity_blocked ?operator blocked)
   (entity_blocked ?newobject blocked)
   (entity_player ?newobject ?player)
(= (entity_health ?newobject) 1.00000)
(= (entity_happiness ?newobject) 1.00000)
(= (entity_fatique ?newobject) 0.00000)
(= (entity_workingcitizens ?newobject) 2.00000)
(increase (inventory3 ?operator wood) -1)
(= (inventory3 ?newobject wood) 0)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
   (at end (not (entity_blocked ?newobject blocked)))
   (at end (entity_blocked ?newobject notblocked))
)
)
(:durative-action TEntity_building_woodchopperID_craft_wood
:duration (= ?duration 1.000000)
:parameters (?player - TPlayerID ?operator - TEntity_building_woodchopperID )
:precondition (and
   (not (unused_entity ?operator))
   (entity_blocked ?operator notblocked)
   (entity_player ?operator ?player)
)
:effect (and
   (not (entity_blocked ?operator notblocked))
   (entity_blocked ?operator blocked)
(increase (inventory3 ?operator wood) 1)
   (at end (not (entity_blocked ?operator blocked)))
   (at end (entity_blocked ?operator notblocked))
)
)
(:action TEntity_building_woodchopperID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
(:task TEntity_npc_carrier_l2ID_create
:duration (= ?duration 2.000000)
:parameters (?player - TPlayerID ?newobject - TEntity_npc_carrier_l2ID ?metaentity20_id_next - TEntity_npc_carrier_l2ID ?operator - TEntity_main_l2ID ?noden0_n0id - TNodeID2 ?ownerentity - TEntityID1 )
:precondition (and
   (unused_metaentity2 ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?metaentity20_id_next)
   (not (unused_metaentity2 ?operator))
   (metaentity2_blocked ?operator notblocked)
   (not (unused_metanode2 ?noden0_n0id))
   (metaentity2_position ?operator ?noden0_n0id)
   (> (inventory2 ?operator wood) 0.80000)
   (metaentity2_player ?operator ?player)
   (not (unused_metaentity1 ?ownerentity))
)
:effect (and
   (not (unused_metaentity2 ?newobject))
   (metaentity2_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?metaentity20_id_next))
   (head_unallocated ?metaentity20_id_next)
   (metaentity2_blocked ?newobject blocked)
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (metaentity2_position ?newobject ?noden0_n0id)
   (metaentity2_npcowner ?newobject ?ownerentity)
   (metaentity2_player ?newobject ?player)
(= (metaentity2_health ?newobject) 1.00000)
(= (metaentity2_happiness ?newobject) 1.00000)
(= (metaentity2_fatique ?newobject) 0.00000)
(= (metaentity2_innode ?newobject) 1.00000)
(= (metaentity2_workingcitizens ?newobject) 2.00000)
(increase (inventory2 ?operator wood) -1)
(= (inventory2 ?newobject wood) 0.00000)
(= (inventory2 ?newobject stone) 0.00000)
   (at end (not (metaentity2_blocked ?newobject blocked)))
   (at end (metaentity2_blocked ?newobject notblocked))
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
(:task TEntity_npc_carrier_l2ID_move
:duration (= ?duration 2.000000)
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?targetnode - TNodeID2 ?metaedgenode23_id - TEdgeID2 )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (not (unused_metanode2 ?metaentity20_position))
   (not (unused_metanode2 ?targetnode))
   (not (unused_metaedgenode2 ?metaedgenode23_id))
   (metaedgenode2_startnode ?metaedgenode23_id ?metaentity20_position)
   (metaedgenode2_endnode ?metaedgenode23_id ?targetnode)
   (metaedgenode2_enabled ?metaedgenode23_id true)
   (metanode2_enabled ?targetnode true)
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_player ?operator ?player)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_position ?operator ?metaentity20_position))
   (metaentity2_position ?operator ?targetnode)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_mainbuildingID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_entity ?goal))
   (metaentity2_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 1)
(increase (inventory2 ?goal ?materialtype) -1)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_mainbuildingID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_entity ?goal))
   (metaentity2_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -1)
(increase (inventory2 ?goal ?materialtype) 1)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_building_woodchopperID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_entity ?goal))
   (metaentity2_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 1)
(increase (inventory2 ?goal ?materialtype) -1)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_building_woodchopperID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_entity ?goal))
   (metaentity2_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -1)
(increase (inventory2 ?goal ?materialtype) 1)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_main_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 4)
(increase (inventory2 ?goal ?materialtype) -4)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_main_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -4)
(increase (inventory2 ?goal ?materialtype) 4)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_streetAll_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 4)
(increase (inventory2 ?goal ?materialtype) -4)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_streetAll_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -4)
(increase (inventory2 ?goal ?materialtype) 4)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_mining_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 4)
(increase (inventory2 ?goal ?materialtype) -4)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_mining_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -4)
(increase (inventory2 ?goal ?materialtype) 4)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_city_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 16)
(increase (inventory2 ?goal ?materialtype) -16)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_city_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -16)
(increase (inventory2 ?goal ?materialtype) 16)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_streetAll_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 16)
(increase (inventory2 ?goal ?materialtype) -16)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_streetAll_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -16)
(increase (inventory2 ?goal ?materialtype) 16)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_create
:duration (= ?duration 2.000000)
:parameters (?player - TPlayerID ?newobject - TEntity_npc_builder_l2ID ?metaentity20_id_next - TEntity_npc_builder_l2ID ?operator - TEntity_main_l2ID ?noden0_n0id - TNodeID2 ?ownerentity - TEntityID1 )
:precondition (and
   (unused_metaentity2 ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?metaentity20_id_next)
   (not (unused_metaentity2 ?operator))
   (metaentity2_blocked ?operator notblocked)
   (not (unused_metanode2 ?noden0_n0id))
   (metaentity2_position ?operator ?noden0_n0id)
   (> (inventory2 ?operator wood) 0.80000)
   (metaentity2_player ?operator ?player)
   (not (unused_metaentity1 ?ownerentity))
)
:effect (and
   (not (unused_metaentity2 ?newobject))
   (metaentity2_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?metaentity20_id_next))
   (head_unallocated ?metaentity20_id_next)
   (metaentity2_blocked ?newobject blocked)
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (metaentity2_position ?newobject ?noden0_n0id)
   (metaentity2_npcowner ?newobject ?ownerentity)
   (metaentity2_player ?newobject ?player)
(= (metaentity2_health ?newobject) 1.00000)
(= (metaentity2_happiness ?newobject) 1.00000)
(= (metaentity2_fatique ?newobject) 0.00000)
(= (metaentity2_innode ?newobject) 1.00000)
(= (metaentity2_workingcitizens ?newobject) 2.00000)
(increase (inventory2 ?operator wood) -1)
(= (inventory2 ?newobject wood) 0.00000)
(= (inventory2 ?newobject stone) 0.00000)
   (at end (not (metaentity2_blocked ?newobject blocked)))
   (at end (metaentity2_blocked ?newobject notblocked))
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
)
)
(:task TEntity_npc_builder_l2ID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
(:task TEntity_npc_builder_l2ID_move
:duration (= ?duration 2.000000)
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?targetnode - TNodeID2 ?metaedgenode23_id - TEdgeID2 )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (not (unused_metanode2 ?metaentity20_position))
   (not (unused_metanode2 ?targetnode))
   (not (unused_metaedgenode2 ?metaedgenode23_id))
   (metaedgenode2_startnode ?metaedgenode23_id ?metaentity20_position)
   (metaedgenode2_endnode ?metaedgenode23_id ?targetnode)
   (metaedgenode2_enabled ?metaedgenode23_id true)
   (metanode2_enabled ?targetnode true)
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_player ?operator ?player)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_position ?operator ?metaentity20_position))
   (metaentity2_position ?operator ?targetnode)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_mainbuildingID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_entity ?goal))
   (metaentity2_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 1)
(increase (inventory2 ?goal ?materialtype) -1)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_mainbuildingID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_entity ?goal))
   (metaentity2_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -1)
(increase (inventory2 ?goal ?materialtype) 1)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_building_woodchopperID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_entity ?goal))
   (metaentity2_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 1)
(increase (inventory2 ?goal ?materialtype) -1)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_building_woodchopperID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_entity ?goal))
   (metaentity2_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -1)
(increase (inventory2 ?goal ?materialtype) 1)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_main_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 4)
(increase (inventory2 ?goal ?materialtype) -4)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_main_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -4)
(increase (inventory2 ?goal ?materialtype) 4)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_streetAll_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 4)
(increase (inventory2 ?goal ?materialtype) -4)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_streetAll_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -4)
(increase (inventory2 ?goal ?materialtype) 4)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_mining_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 4)
(increase (inventory2 ?goal ?materialtype) -4)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_mining_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -4)
(increase (inventory2 ?goal ?materialtype) 4)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_city_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 16)
(increase (inventory2 ?goal ?materialtype) -16)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_city_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -16)
(increase (inventory2 ?goal ?materialtype) 16)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_streetAll_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory2 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) 16)
(increase (inventory2 ?goal ?materialtype) -16)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l2ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l2ID ?metaentity20_position - TNodeID2 ?goal - TEntity_streetAll_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_position ?operator ?metaentity20_position)
   (metaentity2_player ?operator ?player)
   (not (unused_metanode2 ?metaentity20_position))
   (metanode2_usedbybuilding ?metaentity20_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity2_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory2 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory2 ?operator ?materialtype) -16)
(increase (inventory2 ?goal ?materialtype) 16)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_main_l2ID_create
:duration (= ?duration 2.000000)
:parameters (?player - TPlayerID ?noden0_n0id - TNodeID2 ?newobject - TEntity_main_l2ID ?metaentity21_id_next - TEntity_main_l2ID ?operator - TEntity_npc_builder_l2ID ?ownerentity - TEntityID1 ?oldvalue0 - TNodeType ?oldvalue1 - TBlockType )
:precondition (and
   (not (unused_metanode2 ?noden0_n0id))
   (unused_metaentity2 ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?metaentity21_id_next)
   (not (unused_metaentity2 ?operator))
   (> (inventory2 ?operator wood) 5.80000)
   (metaentity2_player ?operator ?player)
   (metaentity2_position ?operator ?noden0_n0id)
   (not (unused_metaentity1 ?ownerentity))
   (metanode2_usedbybuilding ?noden0_n0id noentity2)
   (metanode2_nodetype ?noden0_n0id ?oldvalue0)
   (metanode2_enabled ?noden0_n0id true)
   (metaentity2_blocked ?operator ?oldvalue1)
   (metaentity2_blocked ?operator notblocked)
)
:effect (and
   (not (unused_metaentity2 ?newobject))
   (metaentity2_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?metaentity21_id_next))
   (head_unallocated ?metaentity21_id_next)
   (metaentity2_npcowner ?newobject ?ownerentity)
   (not (metanode2_usedbybuilding ?noden0_n0id noentity2))
   (metanode2_usedbybuilding ?noden0_n0id ?newobject)
   (not (metanode2_nodetype ?noden0_n0id ?oldvalue0))
   (metanode2_nodetype ?noden0_n0id nt_building)
   (metaentity2_position ?newobject ?noden0_n0id)
   (not (metaentity2_blocked ?operator ?oldvalue1))
   (metaentity2_blocked ?operator blocked)
   (metaentity2_blocked ?newobject blocked)
   (metaentity2_player ?newobject ?player)
(= (metaentity2_health ?newobject) 1.00000)
(= (metaentity2_happiness ?newobject) 1.00000)
(= (metaentity2_fatique ?newobject) 0.00000)
(= (metaentity2_innode ?newobject) 1.00000)
(= (metaentity2_workingcitizens ?newobject) 2.00000)
(increase (inventory2 ?operator wood) -6)
(= (inventory2 ?newobject wood) 20)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?newobject blocked)))
   (at end (metaentity2_blocked ?newobject notblocked))
)
)
(:task TEntity_main_l2ID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
(:task TEntity_streetAll_l2ID_create
:duration (= ?duration 2.000000)
:parameters (?player - TPlayerID ?noden0_n0id - TNodeID2 ?newobject - TEntity_streetAll_l2ID ?metaentity21_id_next - TEntity_streetAll_l2ID ?operator - TEntity_npc_builder_l2ID ?ownerentity - TEntityID1 ?oldvalue0 - TNodeType ?metanode23_id - TNodeID2 ?metaedgenode24_id - TEdgeID2 ?oldvalue1 - TBlockType )
:precondition (and
   (not (unused_metanode2 ?noden0_n0id))
   (unused_metaentity2 ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?metaentity21_id_next)
   (not (unused_metaentity2 ?operator))
   (> (inventory2 ?operator wood) 0.80000)
   (metaentity2_player ?operator ?player)
   (metaentity2_position ?operator ?noden0_n0id)
   (not (unused_metaentity1 ?ownerentity))
   (metanode2_usedbybuilding ?noden0_n0id noentity2)
   (metanode2_nodetype ?noden0_n0id ?oldvalue0)
   (metanode2_enabled ?noden0_n0id true)
   (not (unused_metanode2 ?metanode23_id))
   (not (unused_metaedgenode2 ?metaedgenode24_id))
   (metaedgenode2_startnode ?metaedgenode24_id ?metanode23_id)
   (metaedgenode2_endnode ?metaedgenode24_id ?noden0_n0id)
   (metaedgenode2_hasstreet ?metaedgenode24_id true)
   (metanode2_player ?metanode23_id ?player)
   (metaentity2_blocked ?operator ?oldvalue1)
   (metaentity2_blocked ?operator notblocked)
)
:effect (and
   (not (unused_metaentity2 ?newobject))
   (metaentity2_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?metaentity21_id_next))
   (head_unallocated ?metaentity21_id_next)
   (metaentity2_npcowner ?newobject ?ownerentity)
   (not (metanode2_usedbybuilding ?noden0_n0id noentity2))
   (metanode2_usedbybuilding ?noden0_n0id ?newobject)
   (not (metanode2_nodetype ?noden0_n0id ?oldvalue0))
   (metanode2_nodetype ?noden0_n0id nt_building)
   (metaentity2_position ?newobject ?noden0_n0id)
   (not (metaentity2_blocked ?operator ?oldvalue1))
   (metaentity2_blocked ?operator blocked)
   (metaentity2_blocked ?newobject blocked)
   (metaentity2_player ?newobject ?player)
(= (metaentity2_health ?newobject) 1.00000)
(= (metaentity2_happiness ?newobject) 1.00000)
(= (metaentity2_fatique ?newobject) 0.00000)
(= (metaentity2_innode ?newobject) 1.00000)
(= (metaentity2_workingcitizens ?newobject) 2.00000)
(increase (inventory2 ?operator wood) -1)
(= (inventory2 ?newobject wood) 0)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?newobject blocked)))
   (at end (metaentity2_blocked ?newobject notblocked))
)
)
(:task TEntity_streetAll_l2ID_craft_wood
:duration (= ?duration 1.000000)
:parameters (?player - TPlayerID ?operator - TEntity_streetAll_l2ID )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_player ?operator ?player)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
(increase (inventory2 ?operator wood) 1)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
)
)
(:task TEntity_streetAll_l2ID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
(:task TEntity_mining_l2ID_create
:duration (= ?duration 2.000000)
:parameters (?player - TPlayerID ?noden0_n0id - TNodeID2 ?newobject - TEntity_mining_l2ID ?metaentity21_id_next - TEntity_mining_l2ID ?operator - TEntity_npc_builder_l2ID ?ownerentity - TEntityID1 ?oldvalue0 - TNodeType ?metanode23_id - TNodeID2 ?metaedgenode24_id - TEdgeID2 ?oldvalue1 - TBlockType )
:precondition (and
   (not (unused_metanode2 ?noden0_n0id))
   (unused_metaentity2 ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?metaentity21_id_next)
   (not (unused_metaentity2 ?operator))
   (> (inventory2 ?operator wood) 0.80000)
   (metaentity2_player ?operator ?player)
   (metaentity2_position ?operator ?noden0_n0id)
   (not (unused_metaentity1 ?ownerentity))
   (metanode2_usedbybuilding ?noden0_n0id noentity2)
   (metanode2_nodetype ?noden0_n0id ?oldvalue0)
   (metanode2_enabled ?noden0_n0id true)
   (not (unused_metanode2 ?metanode23_id))
   (not (unused_metaedgenode2 ?metaedgenode24_id))
   (metaedgenode2_startnode ?metaedgenode24_id ?metanode23_id)
   (metaedgenode2_endnode ?metaedgenode24_id ?noden0_n0id)
   (metaedgenode2_hasstreet ?metaedgenode24_id true)
   (metanode2_player ?metanode23_id ?player)
   (metaentity2_blocked ?operator ?oldvalue1)
   (metaentity2_blocked ?operator notblocked)
)
:effect (and
   (not (unused_metaentity2 ?newobject))
   (metaentity2_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?metaentity21_id_next))
   (head_unallocated ?metaentity21_id_next)
   (metaentity2_npcowner ?newobject ?ownerentity)
   (not (metanode2_usedbybuilding ?noden0_n0id noentity2))
   (metanode2_usedbybuilding ?noden0_n0id ?newobject)
   (not (metanode2_nodetype ?noden0_n0id ?oldvalue0))
   (metanode2_nodetype ?noden0_n0id nt_building)
   (metaentity2_position ?newobject ?noden0_n0id)
   (not (metaentity2_blocked ?operator ?oldvalue1))
   (metaentity2_blocked ?operator blocked)
   (metaentity2_blocked ?newobject blocked)
   (metaentity2_player ?newobject ?player)
(= (metaentity2_health ?newobject) 1.00000)
(= (metaentity2_happiness ?newobject) 1.00000)
(= (metaentity2_fatique ?newobject) 0.00000)
(= (metaentity2_innode ?newobject) 1.00000)
(= (metaentity2_workingcitizens ?newobject) 2.00000)
(increase (inventory2 ?operator wood) -1)
(= (inventory2 ?newobject wood) 0)
(= (inventory2 ?newobject stone) 0)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?newobject blocked)))
   (at end (metaentity2_blocked ?newobject notblocked))
)
)
(:task TEntity_mining_l2ID_craft_wood
:duration (= ?duration 4.000000)
:parameters (?player - TPlayerID ?operator - TEntity_mining_l2ID )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_player ?operator ?player)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
(increase (inventory2 ?operator wood) 1)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
)
)
(:task TEntity_mining_l2ID_craft_stone
:duration (= ?duration 4.000000)
:parameters (?player - TPlayerID ?operator - TEntity_mining_l2ID )
:precondition (and
   (not (unused_metaentity2 ?operator))
   (metaentity2_blocked ?operator notblocked)
   (metaentity2_player ?operator ?player)
)
:effect (and
   (not (metaentity2_blocked ?operator notblocked))
   (metaentity2_blocked ?operator blocked)
(increase (inventory2 ?operator stone) 1)
   (at end (not (metaentity2_blocked ?operator blocked)))
   (at end (metaentity2_blocked ?operator notblocked))
)
)
(:task TEntity_mining_l2ID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
(:task TEntity_npc_carrier_l1ID_create
:duration (= ?duration 4.000000)
:parameters (?player - TPlayerID ?newobject - TEntity_npc_carrier_l1ID ?metaentity10_id_next - TEntity_npc_carrier_l1ID ?operator - TEntity_city_l1ID ?noden0_n0id - TNodeID1 )
:precondition (and
   (unused_metaentity1 ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?metaentity10_id_next)
   (not (unused_metaentity1 ?operator))
   (metaentity1_blocked ?operator notblocked)
   (not (unused_metanode1 ?noden0_n0id))
   (metaentity1_position ?operator ?noden0_n0id)
   (> (inventory1 ?operator wood) 0.80000)
   (metaentity1_player ?operator ?player)
)
:effect (and
   (not (unused_metaentity1 ?newobject))
   (metaentity1_npcowner ?newobject noentity0)
   (metaentity1_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?metaentity10_id_next))
   (head_unallocated ?metaentity10_id_next)
   (metaentity1_blocked ?newobject blocked)
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (metaentity1_position ?newobject ?noden0_n0id)
   (metaentity1_player ?newobject ?player)
(= (metaentity1_health ?newobject) 1.00000)
(= (metaentity1_happiness ?newobject) 1.00000)
(= (metaentity1_fatique ?newobject) 0.00000)
(= (metaentity1_innode ?newobject) 1.00000)
(= (metaentity1_workingcitizens ?newobject) 4.00000)
(increase (inventory1 ?operator wood) -1)
(= (inventory1 ?newobject wood) 0.00000)
(= (inventory1 ?newobject stone) 0.00000)
   (at end (not (metaentity1_blocked ?newobject blocked)))
   (at end (metaentity1_blocked ?newobject notblocked))
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
(:task TEntity_npc_carrier_l1ID_move
:duration (= ?duration 4.000000)
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?targetnode - TNodeID1 ?metaedgenode13_id - TEdgeID1 )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (not (unused_metanode1 ?metaentity10_position))
   (not (unused_metanode1 ?targetnode))
   (not (unused_metaedgenode1 ?metaedgenode13_id))
   (metaedgenode1_startnode ?metaedgenode13_id ?metaentity10_position)
   (metaedgenode1_endnode ?metaedgenode13_id ?targetnode)
   (metaedgenode1_enabled ?metaedgenode13_id true)
   (metanode1_enabled ?targetnode true)
   (metaentity1_blocked ?operator notblocked)
   (metaentity1_player ?operator ?player)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity1_position ?operator ?metaentity10_position))
   (metaentity1_position ?operator ?targetnode)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_mainbuildingID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_entity ?goal))
   (metaentity1_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 1)
(increase (inventory1 ?goal ?materialtype) -1)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_mainbuildingID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_entity ?goal))
   (metaentity1_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -1)
(increase (inventory1 ?goal ?materialtype) 1)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_building_woodchopperID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_entity ?goal))
   (metaentity1_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 1)
(increase (inventory1 ?goal ?materialtype) -1)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_building_woodchopperID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_entity ?goal))
   (metaentity1_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -1)
(increase (inventory1 ?goal ?materialtype) 1)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_main_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 4)
(increase (inventory1 ?goal ?materialtype) -4)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_main_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -4)
(increase (inventory1 ?goal ?materialtype) 4)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_streetAll_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 4)
(increase (inventory1 ?goal ?materialtype) -4)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_streetAll_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -4)
(increase (inventory1 ?goal ?materialtype) 4)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_mining_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 4)
(increase (inventory1 ?goal ?materialtype) -4)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_mining_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -4)
(increase (inventory1 ?goal ?materialtype) 4)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_city_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 16)
(increase (inventory1 ?goal ?materialtype) -16)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_city_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -16)
(increase (inventory1 ?goal ?materialtype) 16)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_streetAll_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 16)
(increase (inventory1 ?goal ?materialtype) -16)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_carrier_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_carrier_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_streetAll_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -16)
(increase (inventory1 ?goal ?materialtype) 16)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_create
:duration (= ?duration 4.000000)
:parameters (?player - TPlayerID ?newobject - TEntity_npc_builder_l1ID ?metaentity10_id_next - TEntity_npc_builder_l1ID ?operator - TEntity_city_l1ID ?noden0_n0id - TNodeID1 )
:precondition (and
   (unused_metaentity1 ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?metaentity10_id_next)
   (not (unused_metaentity1 ?operator))
   (metaentity1_blocked ?operator notblocked)
   (not (unused_metanode1 ?noden0_n0id))
   (metaentity1_position ?operator ?noden0_n0id)
   (> (inventory1 ?operator wood) 0.80000)
   (metaentity1_player ?operator ?player)
)
:effect (and
   (not (unused_metaentity1 ?newobject))
   (metaentity1_npcowner ?newobject noentity0)
   (metaentity1_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?metaentity10_id_next))
   (head_unallocated ?metaentity10_id_next)
   (metaentity1_blocked ?newobject blocked)
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (metaentity1_position ?newobject ?noden0_n0id)
   (metaentity1_player ?newobject ?player)
(= (metaentity1_health ?newobject) 1.00000)
(= (metaentity1_happiness ?newobject) 1.00000)
(= (metaentity1_fatique ?newobject) 0.00000)
(= (metaentity1_innode ?newobject) 1.00000)
(= (metaentity1_workingcitizens ?newobject) 4.00000)
(increase (inventory1 ?operator wood) -1)
(= (inventory1 ?newobject wood) 0.00000)
(= (inventory1 ?newobject stone) 0.00000)
   (at end (not (metaentity1_blocked ?newobject blocked)))
   (at end (metaentity1_blocked ?newobject notblocked))
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
)
)
(:task TEntity_npc_builder_l1ID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
(:task TEntity_npc_builder_l1ID_move
:duration (= ?duration 4.000000)
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?targetnode - TNodeID1 ?metaedgenode13_id - TEdgeID1 )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (not (unused_metanode1 ?metaentity10_position))
   (not (unused_metanode1 ?targetnode))
   (not (unused_metaedgenode1 ?metaedgenode13_id))
   (metaedgenode1_startnode ?metaedgenode13_id ?metaentity10_position)
   (metaedgenode1_endnode ?metaedgenode13_id ?targetnode)
   (metaedgenode1_enabled ?metaedgenode13_id true)
   (metanode1_enabled ?targetnode true)
   (metaentity1_blocked ?operator notblocked)
   (metaentity1_player ?operator ?player)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity1_position ?operator ?metaentity10_position))
   (metaentity1_position ?operator ?targetnode)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_mainbuildingID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_entity ?goal))
   (metaentity1_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 1)
(increase (inventory1 ?goal ?materialtype) -1)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_mainbuildingID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_entity ?goal))
   (metaentity1_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -1)
(increase (inventory1 ?goal ?materialtype) 1)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_building_woodchopperID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_entity ?goal))
   (metaentity1_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 1)
(increase (inventory1 ?goal ?materialtype) -1)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_building_woodchopperID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_entity ?goal))
   (metaentity1_blocked ?operator notblocked)
   (entity_blocked ?goal notblocked)
   (entity_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (entity_blocked ?goal notblocked))
   (entity_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -1)
(increase (inventory1 ?goal ?materialtype) 1)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (entity_blocked ?goal blocked)))
   (at end (entity_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_main_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 4)
(increase (inventory1 ?goal ?materialtype) -4)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_main_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -4)
(increase (inventory1 ?goal ?materialtype) 4)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_streetAll_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 4)
(increase (inventory1 ?goal ?materialtype) -4)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_streetAll_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -4)
(increase (inventory1 ?goal ?materialtype) 4)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_mining_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 4)
(increase (inventory1 ?goal ?materialtype) -4)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_mining_l2ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity2 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity2_blocked ?goal notblocked)
   (metaentity2_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity2_blocked ?goal notblocked))
   (metaentity2_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -4)
(increase (inventory1 ?goal ?materialtype) 4)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity2_blocked ?goal blocked)))
   (at end (metaentity2_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_city_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 16)
(increase (inventory1 ?goal ?materialtype) -16)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_city_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -16)
(increase (inventory1 ?goal ?materialtype) 16)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_move_to_npc
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_streetAll_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory1 ?goal ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) 16)
(increase (inventory1 ?goal ?materialtype) -16)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_npc_builder_l1ID_inventory_npc_to_move
:parameters (?player - TPlayerID ?operator - TEntity_npc_builder_l1ID ?metaentity10_position - TNodeID1 ?goal - TEntity_streetAll_l1ID ?materialtype - TMaterial )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_position ?operator ?metaentity10_position)
   (metaentity1_player ?operator ?player)
   (not (unused_metanode1 ?metaentity10_position))
   (metanode1_usedbybuilding ?metaentity10_position ?goal)
   (not (unused_metaentity1 ?goal))
   (metaentity1_blocked ?operator notblocked)
   (metaentity1_blocked ?goal notblocked)
   (metaentity1_player ?goal ?player)
   (> (inventory1 ?operator ?materialtype) 0.80000)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
   (not (metaentity1_blocked ?goal notblocked))
   (metaentity1_blocked ?goal blocked)
(increase (inventory1 ?operator ?materialtype) -16)
(increase (inventory1 ?goal ?materialtype) 16)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?goal blocked)))
   (at end (metaentity1_blocked ?goal notblocked))
)
)
(:task TEntity_city_l1ID_create
:duration (= ?duration 4.000000)
:parameters (?player - TPlayerID ?noden0_n0id - TNodeID1 ?newobject - TEntity_city_l1ID ?metaentity11_id_next - TEntity_city_l1ID ?operator - TEntity_npc_builder_l1ID ?oldvalue0 - TNodeType ?oldvalue1 - TBlockType )
:precondition (and
   (not (unused_metanode1 ?noden0_n0id))
   (unused_metaentity1 ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?metaentity11_id_next)
   (not (unused_metaentity1 ?operator))
   (> (inventory1 ?operator wood) 5.80000)
   (metaentity1_player ?operator ?player)
   (metaentity1_position ?operator ?noden0_n0id)
   (metanode1_usedbybuilding ?noden0_n0id noentity1)
   (metanode1_nodetype ?noden0_n0id ?oldvalue0)
   (metanode1_enabled ?noden0_n0id true)
   (metaentity1_blocked ?operator ?oldvalue1)
   (metaentity1_blocked ?operator notblocked)
)
:effect (and
   (not (unused_metaentity1 ?newobject))
   (metaentity1_npcowner ?newobject noentity0)
   (metaentity1_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?metaentity11_id_next))
   (head_unallocated ?metaentity11_id_next)
   (not (metanode1_usedbybuilding ?noden0_n0id noentity1))
   (metanode1_usedbybuilding ?noden0_n0id ?newobject)
   (not (metanode1_nodetype ?noden0_n0id ?oldvalue0))
   (metanode1_nodetype ?noden0_n0id nt_building)
   (metaentity1_position ?newobject ?noden0_n0id)
   (not (metaentity1_blocked ?operator ?oldvalue1))
   (metaentity1_blocked ?operator blocked)
   (metaentity1_blocked ?newobject blocked)
   (metaentity1_player ?newobject ?player)
(= (metaentity1_health ?newobject) 1.00000)
(= (metaentity1_happiness ?newobject) 1.00000)
(= (metaentity1_fatique ?newobject) 0.00000)
(= (metaentity1_innode ?newobject) 1.00000)
(= (metaentity1_workingcitizens ?newobject) 4.00000)
(increase (inventory1 ?operator wood) -6)
(= (inventory1 ?newobject wood) 20)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?newobject blocked)))
   (at end (metaentity1_blocked ?newobject notblocked))
)
)
(:task TEntity_city_l1ID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
(:task TEntity_streetAll_l1ID_create
:duration (= ?duration 4.000000)
:parameters (?player - TPlayerID ?noden0_n0id - TNodeID1 ?newobject - TEntity_streetAll_l1ID ?metaentity11_id_next - TEntity_streetAll_l1ID ?operator - TEntity_npc_builder_l1ID ?oldvalue0 - TNodeType ?metanode13_id - TNodeID1 ?metaedgenode14_id - TEdgeID1 ?oldvalue1 - TBlockType )
:precondition (and
   (not (unused_metanode1 ?noden0_n0id))
   (unused_metaentity1 ?newobject)
   (head_unallocated ?newobject)
   (head_next ?newobject ?metaentity11_id_next)
   (not (unused_metaentity1 ?operator))
   (> (inventory1 ?operator wood) 0.80000)
   (metaentity1_player ?operator ?player)
   (metaentity1_position ?operator ?noden0_n0id)
   (metanode1_usedbybuilding ?noden0_n0id noentity1)
   (metanode1_nodetype ?noden0_n0id ?oldvalue0)
   (metanode1_enabled ?noden0_n0id true)
   (not (unused_metanode1 ?metanode13_id))
   (not (unused_metaedgenode1 ?metaedgenode14_id))
   (metaedgenode1_startnode ?metaedgenode14_id ?metanode13_id)
   (metaedgenode1_endnode ?metaedgenode14_id ?noden0_n0id)
   (metaedgenode1_hasstreet ?metaedgenode14_id true)
   (metanode1_player ?metanode13_id ?player)
   (metaentity1_blocked ?operator ?oldvalue1)
   (metaentity1_blocked ?operator notblocked)
)
:effect (and
   (not (unused_metaentity1 ?newobject))
   (metaentity1_npcowner ?newobject noentity0)
   (metaentity1_education ?newobject noeducation)
   (not (head_unallocated ?newobject))
   (not (head_next ?newobject ?metaentity11_id_next))
   (head_unallocated ?metaentity11_id_next)
   (not (metanode1_usedbybuilding ?noden0_n0id noentity1))
   (metanode1_usedbybuilding ?noden0_n0id ?newobject)
   (not (metanode1_nodetype ?noden0_n0id ?oldvalue0))
   (metanode1_nodetype ?noden0_n0id nt_building)
   (metaentity1_position ?newobject ?noden0_n0id)
   (not (metaentity1_blocked ?operator ?oldvalue1))
   (metaentity1_blocked ?operator blocked)
   (metaentity1_blocked ?newobject blocked)
   (metaentity1_player ?newobject ?player)
(= (metaentity1_health ?newobject) 1.00000)
(= (metaentity1_happiness ?newobject) 1.00000)
(= (metaentity1_fatique ?newobject) 0.00000)
(= (metaentity1_innode ?newobject) 1.00000)
(= (metaentity1_workingcitizens ?newobject) 4.00000)
(increase (inventory1 ?operator wood) -1)
(= (inventory1 ?newobject wood) 0)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
   (at end (not (metaentity1_blocked ?newobject blocked)))
   (at end (metaentity1_blocked ?newobject notblocked))
)
)
(:task TEntity_streetAll_l1ID_craft_wood
:duration (= ?duration 1.000000)
:parameters (?player - TPlayerID ?operator - TEntity_streetAll_l1ID )
:precondition (and
   (not (unused_metaentity1 ?operator))
   (metaentity1_blocked ?operator notblocked)
   (metaentity1_player ?operator ?player)
)
:effect (and
   (not (metaentity1_blocked ?operator notblocked))
   (metaentity1_blocked ?operator blocked)
(increase (inventory1 ?operator wood) 1)
   (at end (not (metaentity1_blocked ?operator blocked)))
   (at end (metaentity1_blocked ?operator notblocked))
)
)
(:task TEntity_streetAll_l1ID_destroy
:parameters (?player - TPlayerID )
:precondition (and
)
:effect (and
)
)
)